package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.cultural.heritage.model.vo.coupon.CouponVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 积分兑换记录
 * @TableName   exchange_record
 */
@Data
@TableName(value = "exchange_record", autoResultMap = true)
public class Exchange implements Serializable {


    /**
     * 兑换记录id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;


    /**
     * 优惠券id
     */
    private Long couponId;


    /**
     * 优惠券信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private CouponVO couponDetail;

    /**
     * 数量
     */
    private Integer quantity;


    /**
     * 剩余数量
     */
    private Integer restNum;


    /**
     * 优惠券积分价格
     */
    private Integer requirePoints;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


    /**
     * 是否删除
     */
    private Integer isDelete;



    @Serial
    private static final long serialVersionUID = 1L;
}
