package com.cultural.heritage.service.book.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.BusinessException;
import com.cultural.heritage.mapper.TimeIntervalMapper;
import com.cultural.heritage.model.entity.TimeInterval;
import com.cultural.heritage.service.book.TimeIntervalService;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class TimeIntervalServiceImpl extends ServiceImpl<TimeIntervalMapper, TimeInterval> implements TimeIntervalService {

    /**
     * 校验
     */
    @Override
    public void validTimeInterval(TimeInterval timeInterval, boolean update) {

            Long id = timeInterval.getId();
            Integer minNumber = timeInterval.getMinNumber();
            Integer maxNumber = timeInterval.getMaxNumber();
            String timeSlot = timeInterval.getTimeSlot();
            Long bookingDateId = timeInterval.getBookingDateId();

        if (update) {
                if (id == null) {
                    throw new BusinessException(ErrorCode.PARAMS_ERROR, "预约日期id参数错误");
                }
            }
            if (ObjectUtils.anyNull(minNumber, maxNumber, bookingDateId)) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "存在参数为空");
            }
            if (minNumber > maxNumber) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "最小预约人数不能超过最大预约人数");
            }
            if (StringUtils.isBlank(timeSlot)) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "时间段参数为空");
            }

    }
}
